## windowlab 1.33

=== Makefile ===
# Makefile for WindowLab

# Comment out to remove shape support (for X11R5 or just a tiny bin)
DEFINES += -DSHAPE
EXTRA_LIBS += -lXext

# Information about the location of the menurc file
ifndef MENURC
MENURC = /etc/X11/windowlab/windowlab.menurc
endif
DEFINES += -DDEF_MENURC="\"$(MENURC)\""

# Uncomment to add MWM hints supports (needs Lesstif headers)
#DEFINES += -DMWM_HINTS

# Uncomment to add freetype support (requires XFree86 4.0.2 or later)
# This needs -lXext above, even if you have disabled shape support
#DEFINES += -DXFT
#EXTRA_INC += `pkg-config --cflags xft`
#EXTRA_LIBS += `pkg-config --libs xft`

# Uncomment for debugging info (abandon all hope, ye who enter here)
#DEFINES += -DDEBUG

# Set this to the location of the X installation you want to compile against
XROOT = /usr/X11R6

# --------------------------------------------------------------------

CC = gcc
ifndef CFLAGS
CFLAGS = -g -O2 -Wall -W
endif

BINDIR = $(DESTDIR)$(XROOT)/bin
MANDIR = $(DESTDIR)$(XROOT)/man/man1
CFGDIR = $(DESTDIR)/etc/X11/windowlab
INCLUDES = -I$(XROOT)/include $(EXTRA_INC)
LDPATH = -L$(XROOT)/lib
LIBS = -lX11 $(EXTRA_LIBS)

PROG = windowlab
MANPAGE = windowlab.1x
OBJS = main.o events.o client.o new.o manage.o misc.o taskbar.o menufile.o
HEADERS = windowlab.h

all: $(PROG)

$(PROG): $(OBJS)
	$(CC) $(OBJS) $(LDPATH) $(LIBS) -o $@

$(OBJS): %.o: %.c $(HEADERS)
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -c $< -o $@

install: all
	mkdir -p $(BINDIR) && install -m 755 -s $(PROG) $(BINDIR)
	mkdir -p $(MANDIR) && install -m 644 $(MANPAGE) $(MANDIR) && gzip -9vf $(MANDIR)/$(MANPAGE)
	mkdir -p $(CFGDIR) && cp -i windowlab.menurc $(CFGDIR)/windowlab.menurc && chmod 644 $(CFGDIR)/windowlab.menurc

clean:
	rm -f $(PROG) $(OBJS)

.PHONY: all install clean

## windowlab 1.34

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,23 @@
 DEFINES += -DSHAPE
 EXTRA_LIBS += -lXext
 
+# Set this to the hardcoded location of all files if it's not /
+PREFIX =
+
+# Set this to the location of the X installation you want to compile against
+XROOT = /usr/X11R6
+
+# Set this to the location of the global configuration files
+SYSCONFDIR = $(PREFIX)/etc/X11/windowlab
+
 # Information about the location of the menurc file
 ifndef MENURC
-MENURC = /etc/X11/windowlab/windowlab.menurc
+MENURC = $(SYSCONFDIR)/windowlab.menurc
 endif
+
 DEFINES += -DDEF_MENURC="\"$(MENURC)\""
 
-# Uncomment to add MWM hints supports (needs Lesstif headers)
+# Uncomment to add MWM hints support
 #DEFINES += -DMWM_HINTS
 
 # Uncomment to add freetype support (requires XFree86 4.0.2 or later)
@@ -22,9 +32,6 @@
 # Uncomment for debugging info (abandon all hope, ye who enter here)
 #DEFINES += -DDEBUG
 
-# Set this to the location of the X installation you want to compile against
-XROOT = /usr/X11R6
-
 # --------------------------------------------------------------------
 
 CC = gcc
@@ -32,9 +39,9 @@
 CFLAGS = -g -O2 -Wall -W
 endif
 
-BINDIR = $(DESTDIR)$(XROOT)/bin
-MANDIR = $(DESTDIR)$(XROOT)/man/man1
-CFGDIR = $(DESTDIR)/etc/X11/windowlab
+BINDIR = $(DESTDIR)$(PREFIX)$(XROOT)/bin
+MANDIR = $(DESTDIR)$(PREFIX)$(XROOT)/man/man1
+CFGDIR = $(DESTDIR)$(SYSCONFDIR)
 INCLUDES = -I$(XROOT)/include $(EXTRA_INC)
 LDPATH = -L$(XROOT)/lib
 LIBS = -lX11 $(EXTRA_LIBS)
@@ -54,7 +61,7 @@
 
 install: all
 	mkdir -p $(BINDIR) && install -m 755 -s $(PROG) $(BINDIR)
-	mkdir -p $(MANDIR) && install -m 644 $(MANPAGE) $(MANDIR) && gzip -9vf $(MANDIR)/$(MANPAGE)
+	mkdir -p $(MANDIR) && install -m 644 $(MANPAGE) $(MANDIR) && gzip -9vfn $(MANDIR)/$(MANPAGE)
 	mkdir -p $(CFGDIR) && cp -i windowlab.menurc $(CFGDIR)/windowlab.menurc && chmod 644 $(CFGDIR)/windowlab.menurc
 
 clean:

## windowlab 1.40

=== debian/changelog ===
windowlab (1.40-1) unstable; urgency=low

  * New upstream release.
    + Closes: #575793
    + debian/patches/20_manpage.patch: Trivially updating.
  * debian/copyright: Separation of license formulations.
    + Mention licensing of externally fetched code snippet.
  * Elementary migration to format "3.0 (quilt)".
    + debian/rules: Clean up among subtargets and stamps.
    + debian/README.source: Deleted.
    + debian/control: Removed quilt from build dependency.
  * Standards 3.8.4: No changes.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Tue, 27 Apr 2010 14:27:19 +0200

windowlab (1.39-1) unstable; urgency=low

  * New upstream release.
  * Describe quilt patches according to DEP-3.
  * Rework debian/copyright to follow DEP-5.
    - Attempt an exhaustive list of copyright holders.
  * debian/control: remove a capital letter in the short description.
  * Remove 'README.source' from binary package.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 04 Jan 2010 12:33:27 +0100

windowlab (1.38-1) unstable; urgency=low

  * New upstream release.
  * New maintainer. (Closes: #545798)
  * Prune duplicate fields in the control file.
  * Comment on the actions in each patch file to be used by Quilt.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Thu, 19 Nov 2009 23:56:01 +0100

windowlab (1.37-1) unstable; urgency=low

  * Inclusion of previously neglected upstream documentation.
  * Inclusion of the previous maintainers Debian documention:
    + README.source and TODO.Debian.
  * Addition of a newly created README.Debian.
  * Reverted to "pkill -INT" in file debian/update_menu/common_menu.
  * The upstream source now implements a menu entry "Reload" based
    on a our addition to the source code. This completes one entry
    in the Debian TODO list.
  * Quilt patches 30 and 40 are no longer needed. Upstream author
    has accepted our patches.
  * Updated the quilt patch 20_manpage.patch to mention the new use
    of SIGHUP in reloading the menu configuration for running Windowlab.
  * Created quilt patch 30_reload_signaling.patch. This intends to
    take care of signals and allocation needed to provide dependable
    execution in Lenny release. Etch did not need this!

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 14 Oct 2009 19:17:12 +0200

windowlab (1.34-2) unstable; urgency=low

  * Non-maintainer upload at mentors.debian.net.
  * debian/control: Added recommended fields for binary package.
    + Adjusted line breaks in Description.
  * debian/update-menu:
    + common_menu: Exchanged "skill" for "pkill -KILL".
    + SIGINT and SIGTERM do not work even with every terminal emulator!
  * Quilt source 20_manpage.patch:
    + Manpage version is now 1.34.
    + Corrected reference to: ~/.windowlab/windowlab.menurc
  * New quilt patch: 30_misc_waitpid.patch.
    + Corrects the signalhandler to use waitpid on SIGCHLD.
    + This takes care of a race condition at closedown.
  * New quilt patch: 40_client_focusing.patch.
    + Reverts a single change to status of windowlab-1.33.
    + The upstream source broke a mechanism for multiple windows.
  * Registering x-window-manager at priority 40.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 14 Sep 2009 11:50:10 +0200

windowlab (1.34-1) unstable; urgency=low

  * QA upload.
  * New Upstream release
  * debian/control: Add Homepage field, remove from description
  * Switch to debhelper instead of cdbs
  * Use quilt for patch management
    + Add README.source to explain how to use quilt
  * Update 10_makefile.patch to pass LDFLAGS to linker
  * debian/rules: Add get-orig-source target
    + Upstream only provides .tar, not .tar.gz and all files are executable.
  * debian/menu: Change section to "Window Manager" (with space)
  * Bump Standards Version to 3.8.0
  * Update 10_makefile.patch to not call install with -s option
    (Closes: 438264)
  * Build-depend on libxext-dev as libx11-dev no longer does so
    (Closes: 486978)
  * Update debian/copyright, and point to GPL-2

 -- Ansgar Burchardt <ansgar@43-1.org>  Sat, 21 Jun 2008 18:06:25 +0200

windowlab (1.33-4) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA Group; Orphaned: #410618
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Mon, 26 Feb 2007 09:27:01 +0100

windowlab (1.33-3) unstable; urgency=low

  * Added Xft support in the Makefile, thanks to David-Ansat Sonntag.
  * debian/menu
    - added full path to windowlab executable.
  * Build-Depends: debhelper (>= 4.1.0)

 -- Stan Vasilyev <stan.vasilyev@csun.edu>  Tue, 28 Feb 2006 14:46:45 -0800

windowlab (1.33-2) unstable; urgency=low

  * New maintainer. (Closes: #327438)
  * Initial Debian Menu implementation.
    - Added info about the new feature in the manpage
  * Fixed "/usr/bin/ld: cannot find -lX11" during build.
  * Upgraded to CDBS and simple patch system in debian/rules.
  * Updated long description in debian/control.
  * Moved all changes to upstream source into debian dir and patches. 

 -- Stan Vasilyev <stan.vasilyev@csun.edu>  Fri, 27 Jan 2006 00:00:24 -0800

windowlab (1.33-1) unstable; urgency=low

  * QA upload.
  * New upstream release.

 -- Matej Vela <vela@debian.org>  Tue, 18 Oct 2005 00:43:52 +0200

windowlab (1.32-2) unstable; urgency=low

  * QA upload.
  * Package is orphaned (see #327438); set maintainer to Debian QA Group.
  * debian/menu: Add.  Closes: #321245.
  * debian/postinst, debian/prerm: Let dh_installwm handle alternatives.

 -- Matej Vela <vela@debian.org>  Sat, 24 Sep 2005 19:00:48 +0200

windowlab (1.32-1) unstable; urgency=low

  * New upstream release
  * Using shlibs depends (Closes: #320421)

 -- Nigel Jones <nigelj@gmail.com>  Sat, 30 Jul 2005 17:07:25 +1200

windowlab (1.31-1) unstable; urgency=low

  * Initial release for Debian (Closes: #311866)

 -- Nigel Jones <nigelj@gmail.com>  Mon, 11 Jul 2005 14:57:28 +1200

=== debian/control ===
Source: windowlab
Section: x11
Priority: optional
Maintainer: Mats Erik Andersson <mats.andersson@gisladisker.se>
Build-Depends: debhelper (>= 7), libx11-dev, libxext-dev, libxft-dev (>= 2.0.0), pkg-config
Standards-Version: 3.8.4
Homepage: http://www.nickgravgaard.com/windowlab/

Package: windowlab
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-window-manager
Suggests: vdesk
Description: small and simple Amiga-like window manager
 WindowLab is a Window Manager for the X Window System. Features include 
 click-to-focus, a simple menu/taskbar combination and integration with
 Debian menu system and Xsessions subsystem.
 .
 WindowLab is incredibly fast and small. It is suitable for lightweight
 systems. Virtual desktops are easily contructed using the independent
 package "vdesk".

=== debian/rules ===
#!/usr/bin/make -f

WINDOWLAB_VERSION = 1.40
WINDOWLAB_MD5SUM  = 346f8c187838a446b4cbb2326d035577
WINDOWLAB_TARBALL = windowlab-$(WINDOWLAB_VERSION).tar

get-orig-source:
	@if [ -e $(WINDOWLAB_TARBALL) -o -e windowlab-$(WINDOWLAB_VERSION) \
	  -o -e windowlab-$(WINDOWLAB_VERSION).tar.gz ] ; then \
	  echo "target files or temporary files do already exist" >&2 ; \
	  false ; \
	fi
	#
	wget -nv http://nickgravgaard.com/windowlab/windowlab-$(WINDOWLAB_VERSION).tar
	#
	@MD5=$$(md5sum $(WINDOWLAB_TARBALL) | cut -d' ' -f 1) ; \
	if [ x$$MD5 != x$(WINDOWLAB_MD5SUM) ] ; then \
	  echo "MD5 sum of upstream tarball has changed." >&2 ; \
	  echo "  expected: $(WINDOWLAB_TARBALL)" >&2 ; \
	  echo "       got: $$MD5" >&2 ; \
	  false ; \
	else \
	  echo "MD5 sum ok." ; \
	fi

	tar xf windowlab-$(WINDOWLAB_VERSION).tar
	chmod 0644 windowlab-$(WINDOWLAB_VERSION)/*
	tar cfz windowlab-$(WINDOWLAB_VERSION).tar.gz windowlab-$(WINDOWLAB_VERSION)
	rm -rf windowlab-$(WINDOWLAB_VERSION).tar windowlab-$(WINDOWLAB_VERSION)

build:
	dh $@

clean:
	dh $@

install: build
	dh install --before dh_installwm
	dh_installwm --priority=40
	dh install --remaining
	chmod +x debian/windowlab/usr/lib/windowlab/create_menu.sh
	chmod +x debian/windowlab/etc/menu-methods/windowlab

binary-arch: install
	dh $@

binary-indep: install
	dh $@

binary: install
	dh $@

=== debian/watch ===
version=3
http://www.nickgravgaard.com/windowlab/windowlab-(.*)\.tar debian

## windowlab 1.40+git20240604.1cba02c

=== Makefile ===
--- 
+++ 
@@ -5,13 +5,22 @@
 EXTRA_LIBS += -lXext
 
 # Set this to the hardcoded location of all files if it's not /
-PREFIX =
+PREFIX = /usr/local
+
+# Set this to the directory, below PREFIX, where man pages 
+# are expected. Below this directory, the target "install"
+# will put "windowlab.1x" in section "man1".
+MANBASE = /man
 
 # Set this to the location of the X installation you want to compile against
 XROOT = /usr/X11R6
 
+# Some flexibility for configuration location
+CONFPREFIX = $(PREFIX)
+CONFDIR = /etc/X11/windowlab
+
 # Set this to the location of the global configuration files
-SYSCONFDIR = $(PREFIX)/etc/X11/windowlab
+SYSCONFDIR = $(CONFPREFIX)$(CONFDIR)
 
 # Information about the location of the menurc file
 ifndef MENURC
@@ -39,8 +48,8 @@
 CFLAGS = -g -O2 -Wall -W
 endif
 
-BINDIR = $(DESTDIR)$(PREFIX)$(XROOT)/bin
-MANDIR = $(DESTDIR)$(PREFIX)$(XROOT)/man/man1
+BINDIR = $(DESTDIR)$(PREFIX)/bin
+MANDIR = $(DESTDIR)$(PREFIX)$(MANBASE)/man1
 CFGDIR = $(DESTDIR)$(SYSCONFDIR)
 INCLUDES = -I$(XROOT)/include $(EXTRA_INC)
 LDPATH = -L$(XROOT)/lib

=== debian/changelog ===
windowlab (1.40+git20240604.1cba02c-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version (latest commit)
  * Maintain in Salvage team
    Closes: #1115166
  * Update Homepage
  * Point watch file to latest Git commit
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * d/copyright: Update Source URL
  * Trim trailing whitespace.
  * d/rules: Drop get-orig-source since watch file works
  * Add debian/upstream/metadata
  * Set upstream metadata fields: Bug-Submit.
  * Permit failure of blhc in Salsa CI

  [ Helmut Grohne ]
  * Do not hard code the build architecture pkg-config in upstream Makefile
    Closes: #941313

 -- Andreas Tille <tille@debian.org>  Sat, 13 Sep 2025 22:30:05 +0200

windowlab (1.40-3) unstable; urgency=low

  * Step Standards-Version to 3.9.7, no changes.
  * Advance debhelper compatibility to 9.
    + debian/control, debian/compat: Updated.
    + debian/rules: Reduce rule set to use dh together with hooks
      "override_dh_install" and "override_dh_installwm".
  * debian/windowlab.postrm: New file. (Closes: #806403).
  * debian/copyright: Use single word names for licenses AEWM and 9WM.
    Correctly rebuild the default files stanza to be 9WM, AEWM and GPL-2,
    simultaneously, which is what the upstream author specifies.
  * [lintian] debian/control: Spelling error in description text.
  * [lintian] debian/windowlab.desktop: Add an entry for Keywords.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 16 Mar 2016 23:06:31 +0100

windowlab (1.40-2) unstable; urgency=low

  * debian/control:
    + Standards 3.9.4: No changes.
    + Add build dependency on dpkg-dev (>= 1.15.7).
    + Mend Homepage with correct server location.
  * debian/rules:
    + Add targets build-arch and build-indep.
    + Hardening flags.
  * debian/copyright: Update format and URL.
    + Cite 9wm's license from that package and express
      it separately from the license of aewm.
  * debian/watch: Correction to URL.
  * debian/windowlab.desktop: Conform with standards.
  * debian/patches/10_makefile.patch: Update.
    + Activate MWM hints.
    + Avoid explicit linking "-L/usr/lib". (Closes: #722865)
  * debian/patches/30_root_focus.diff: New file.
    + Pointer visibility error. (Closes: #630494)

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 14 Sep 2013 11:43:16 +0200

=== debian/control ===
Source: windowlab
Standards-Version: 4.7.2
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders:
 Mats Erik Andersson <mats.andersson@gisladisker.se>,
 Andreas Tille <tille@debian.org>,
Section: x11
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 libx11-dev,
 libxext-dev,
 libxft-dev,
 pkgconf,
Vcs-Browser: https://salsa.debian.org/salvage-team/windowlab
Vcs-Git: https://salsa.debian.org/salvage-team/windowlab.git
Homepage: https://github.com/nick-gravgaard/windowlab

Package: windowlab
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Suggests:
 vdesk,
Provides:
 x-window-manager,
Description: small and simple Amiga-like window manager
 WindowLab is a Window Manager for the X Window System. Features include
 click-to-focus, a simple menu/taskbar combination and integration with
 Debian menu system and Xsessions subsystem.
 .
 WindowLab is incredibly fast and small. It is suitable for lightweight
 systems. Virtual desktops are easily constructed using the independent
 package "vdesk".

=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS  = $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
export CPPFLAGS CFLAGS LDFLAGS

%:
	dh $@

override_dh_install:
	dh_install
	chmod +x debian/windowlab/usr/lib/windowlab/create_menu.sh
	chmod +x debian/windowlab/etc/menu-methods/windowlab

override_dh_auto_install:
	echo "Use dh_instal"

override_dh_installwm:
	dh_installwm --priority=40

=== debian/watch ===
version=4

opts="mode=git,pretty=1.40+git%cd.%h" \
    https://github.com/nick-gravgaard/windowlab.git HEAD
